import 'package:flutter/material.dart';
import 'package:slick_list_items/slick_list_items.dart';

main() => MyApp();

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text('FlatListItem'),
        ),
        body: ListView.builder(
          itemBuilder: buildFlatListItems,
        ),
      ),
    );
  }

  Widget buildFlatListItems(BuildContext context, int index) {
    return FlatListItem.purple(
      context: context,
      scalePreset: ScalePreset.normal,
      leftLabelText: 'Amount',
      leftDataText: '20.0',
      rightLabelText: 'Description',
      rightDataText: 'Shopping for...',
    );
  }

  Widget buildBrickListItems(BuildContext context, int index) {
    return BrickListItem.ocean(
      widgets: <Widget>[
        Icon(
          Icons.android,
          color: Colors.black,
        ),
        Text(
          'BrickListItem',
          style: TextStyle(color: Colors.brown),
        ),
      ],
    );
  }
}
